Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util.text
Class IfFieldPart

    java.lang.Object
      org.apache.fop.util.text.IfFieldPart

All Implemented Interfaces:
  AdvancedMessageFormat.Part

Direct Known Subclasses:
  EqualsFieldPart

    public class IfFieldPart

extends java.lang.Object
implements AdvancedMessageFormat.Part

Defines an "if" field part that checks if field's value is true or false. It returns either of two possible values attached as additional part parameters. Example: `{field,if,Yes,No}`

Nested Class Summary
`static class` | `IfFieldPart.Factory` Part factory for "if".

Field Summary
`protected java.lang.String` | `elseValue` the value being returned if the field is false
`protected java.lang.String` | `fieldName` the field name for the part
`protected java.lang.String` | `ifValue` the value being returned if the field is true

Constructor Summary
`IfFieldPart(java.lang.String fieldName, java.lang.String values)` Creates a new "if" field part.

Method Summary
`boolean` | `isGenerated(java.util.Map params)` Indicates whether there is any content that is generated by this message part.
`protected boolean` | `isTrue(java.util.Map params)` Indicates whether the field's value is true.
`protected void` | `parseValues(java.lang.String values)` Parses the parameter values
`java.lang.String` | `toString()`
`void` | `write(java.lang.StringBuffer sb, java.util.Map params)` Writes the formatted part to a string buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fieldName

    protected java.lang.String fieldName

  the field name for the part

### ifValue

    protected java.lang.String ifValue

  the value being returned if the field is true

### elseValue

    protected java.lang.String elseValue

  the value being returned if the field is false

Constructor Detail

### IfFieldPart

    public IfFieldPart(java.lang.String fieldName,
                       java.lang.String values)

  Creates a new "if" field part.

  Parameters:
    `fieldName` - the field name
    `values` - the unparsed parameter values

Method Detail

### parseValues

    protected void parseValues(java.lang.String values)

  Parses the parameter values

  Parameters:
    `values` - the unparsed parameter values

### write

    public void write(java.lang.StringBuffer sb,
                      java.util.Map params)

  Writes the formatted part to a string buffer.

  Specified by:
    `write` in interface `AdvancedMessageFormat.Part`
  Parameters:
    `sb` - the target string buffer
    `params` - the parameters to work with

### isTrue

    protected boolean isTrue(java.util.Map params)

  Indicates whether the field's value is true. If the field is not a boolen, it is true if the field is not null.

  Parameters:
    `params` - the message parameters
  Returns:
    true the field's value as boolean

### isGenerated

    public boolean isGenerated(java.util.Map params)

  Indicates whether there is any content that is generated by this message part.

  Specified by:
    `isGenerated` in interface `AdvancedMessageFormat.Part`
  Parameters:
    `params` - the parameters to work with
  Returns:
    true if the part has content

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.